Uitgelichte voorwerpen
Games
Software Demo's NIEUWS Aanbevolen

Om dit spel te kunnen spelen moet je het originele spel Blackguards hebben.

Releasedatum: 4 mrt 2014
Populaire tags van gebruikers voor dit product:
HD-video bekijken

Downloadbare inhoud

Om dit spel te kunnen spelen moet je het originele spel Blackguards hebben.

Blackguards: Untold Legends kopen

Pakketten die deze game bevatten

The Dark Eye Universe Bundle kopen

Bevat 4 items: The Dark Eye: Chains of Satinav, Memoria, Blackguards, Blackguards: Untold Legends

Info over het spel

Het leven van een Blackguard: zie hoe Takate als slaaf gladiator werd en zijn kans greep om wraak te nemen op iedereen die verantwoordelijk was voor het leed dat deze woudbewoner werd aangedaan.
Untold Legends, de eerste DLC van de turnbased roleplayinggame (RPG) Blackguards van Daedalic Entertainment, bouwt voort op de hoofdlijn van het verhaal met zeven nieuwe spectaculaire gasten.
Vecht tegen rebellerende slaven, kom meer te weten over Takate's verleden en maak een eind aan sinistere magische rituelen.

Let op: je kunt de DLC alleen spelen als je patch 1.3 van de game hebt geïnstalleerd.

KENMERKEN

  • Zeven nieuwe spectaculaire gasten die te maken hebben met het verleden van Takate.
  • Elf splinternieuwe strijdtonelen.
  • Vernietig je vijanden met vier nieuwe wapens.
  • 25 nieuwe sfeertracks als aanvulling op de Blackguards Soundtrack.

Systeemeisen (PC)

    Minimum:
    • OS: Windows XP 32 Bit
    • Processor: 2 GHz Dual Core
    • Memory: 4 GB RAM
    • Graphics: nVidia GeForce 8600 GT, ATI Radeon HD 2600 XT
    • DirectX: Version 9.0c
    • Hard Drive: 20 GB available space
    • Sound Card: DirectX 9.0c Compatible Sound Card with Latest Drivers
    Recommended:
    • OS: Windows Vista SP2, Windows 7 SP1, Windows 8 (32/64 bits versions)
    • Processor: 2.4 GHz Quad Core CPU
    • Memory: 4 GB RAM
    • Graphics: NVIDIA GeForce GTX 275, ATI Radeon 4770 Series or higher
    • DirectX: Version 9.0c
    • Hard Drive: 20 GB available space
    • Sound Card: DirectX 9.0c Compatible Sound Card with Latest Drivers

Systeemeisen (Mac)

    Minimum:
    • OS: Mac OS X Version 10.7 or higher
    • Processor: MacBook, MacBook Air, MacBook Pro, Mac Mini, iMac oder Mac Pro release year 2010 or newer
    • Memory: 4 GB RAM
    • Graphics: Intel HD4000, nVidia or AMD graphic card
    • Hard Drive: 20 GB available space
Er zijn nog geen openbare recensies voor dit product
Je kunt je eigen recensie voor dit product schrijven om je ervaring met de community te delen. Gebruik het gebied boven de aankoopknoppen op deze pagina om je recensie te schrijven.